IntegrityConstraintException (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.bdb.IntegrityConstraintException,IntegrityConstraintException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bdb
Class IntegrityConstraintException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.sleepycat.bdb.IntegrityConstraintException

All Implemented Interfaces:
  Serializable

public class IntegrityConstraintException
extends RuntimeException

Thrown when an integrity constraint violation occurs. This normally occurs when an attempt is made to delete a store element, and the primary key of that element is referenced by a foreign key index with a ON_DELETE_ABORT delete action. It may also occur when an internal index inconsistency is detected, in processing a ForeignKeyIndex or a DataIndex.

See Also:
  `ForeignKeyIndex`, Serialized Form

Constructor Summary
`IntegrityConstraintException(String msg)` Creates an integrity constraint exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntegrityConstraintException

    public IntegrityConstraintException(String msg)

  Creates an integrity constraint exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.